package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.ConceptDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.TermDTO;
import com.diagbot.facade.MedicalFacade;
import com.diagbot.vo.TermVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-16
 */
@RestController
@RequestMapping("/medical")
@Api(value = "标准术语医学知识API", tags = { "标准术语医学知识API" })

public class MedicalController {
    @Autowired
    MedicalFacade medicalFacade;

    @ApiOperation(value = "术语医学知识查询",
            notes = "Term：术语名称, 必填<br>Type：术语类型, 必填<br>")
    @PostMapping("/getConceptMedicalInfo")
    @SysLogger("getConceptMedicalInfo")
    public RespDTO<ConceptDTO> getConceptMedicalInfo(@Valid @RequestBody TermVo termvo) {
        ConceptDTO data = medicalFacade.getConceptMedicalInfo(termvo);

        return RespDTO.onSuc(data);
    }

}
